create table drone (id integer generated by default as identity, battery_capacity float not null, model integer, serial_number varchar(255), state integer, weight integer not null, primary key (id));
create table medication (id integer generated by default as identity, code varchar(255), image blob, name varchar(255), weight float not null, active_tripid integer, primary key (id));
create table trip (id integer generated by default as identity, end_date timestamp, start_date timestamp, droneid integer not null, primary key (id));
CREATE TABLE audit_log (
    id integer generated by default as identity,
    droneId INT,
    message VARCHAR(255),
    timestamp TIMESTAMP
);
alter table trip add constraint UK_ihm9ohsk5blpn6va10dhgk6m2 unique (droneid);
alter table medication add constraint FKersd55wrac0p3fpvwscourbiq foreign key (active_tripid) references trip;
alter table trip add constraint FK49p71lxnmxyaosa1sf0lywii2 foreign key (droneid) references drone;

